## python-sfml 1.5.1.is.1.3+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pySFML.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pySFML.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pySFML"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pySFML"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-sfml 1.5

=== debian/changelog ===
python-sfml (1.5-2build2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies and provides.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Apr 2012 13:44:58 +0000

python-sfml (1.5-2build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:12:29 +0000

python-sfml (1.5-2) unstable; urgency=low

  * Update for SFML 1.6
  * Change my E-Mail Address
  * Switch to source 3.0 (quilt)
  * Bump debhelper compat from 6 to 7
  * Bump standards Version from .3 to .4 (no changes)

 -- Christoph Egger <christoph@debian.org>  Sun, 09 May 2010 11:56:17 +0200

python-sfml (1.5-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards Version to 3.8.3
  * replace (C) by © in Copyright
  * Take patch from Ubuntu to build with python 2.6
    * Needs minimum python Version for python.mk

 -- Christoph Egger <christoph@debian.org>  Sun, 09 May 2010 11:29:39 +0200

python-sfml (1.4-1) unstable; urgency=low

  * New Upstream Version
  * Change my Mailaddress

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 25 Jan 2009 15:48:10 +0100

python-sfml (1.3-1) unstable; urgency=low

  [ Christoph Egger ]
  * Initial release (Closes: #481667)
  * Adding README.source as there is now some work needed

  [ Gonéri Le Bouder ]
  * avoid an useless linking on libpthread.so.0 by using LDFLAGS=-Wl,--as-needed

 -- Christoph Egger <Christoph.Egger@gmx.de>  Tue, 08 Jul 2008 17:03:04 +0200

=== debian/control ===
Source: python-sfml
Section: python
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7), python-support (>= 0.6), libsfml-dev (>= 1.6),
  python-all-dev, libglew1.5-dev, python (>= 2.5.4-1~)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-games/python-sfml.git/
Vcs-Browser: http://git.debian.org/?p=pkg-games/python-sfml.git
Homepage: http://www.sfml-dev.org

Package: python-sfml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Simple and Fast multimedia library - Python Bindings
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too
 .
 This package contains the Python bindings for SFML

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This file was heavily modified by Christoph Egger to get what is needed by
# python-support

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python/python.mk

export PYVERS=$(shell pyversions -vr)

build: $(PYVERS:%=build-python%)
	touch $@
build-python%:
	cd python && LDFLAGS='-Wl,--as-needed' python$* setup.py build
	touch $@

install: build $(PYVERS:%=install-python%)
install-python%:
	cd python && python$* setup.py install --root $(CURDIR)/debian/python-sfml $(py_setup_install_args)

clean: $(PYVERS:%=clean-python%)
	dh_clean
	rm -rf python/build
	rm -f build build-python*
clean-python%:
	cd python && python$* setup.py clean

binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_pysupport
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://sf.net/sfml/SFML-([\d\.]*\d)-python-sdk\.zip

## python-sfml 1.5.1.is.1.3%2Bdfsg

=== debian/control ===
Source: python-sfml
Section: python
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>,
 James Cowgill <james410@cowgill.org.uk>
Build-Depends: debhelper (>= 9),
 libsfml-dev (>= 2.1),
 dh-python,
 python-sphinx,
 python-all-dev,
 python3-all-dev,
 python-all-dbg,
 python3-all-dbg,
 cython,
 cython-dbg,
 cython3,
 cython3-dbg,
 python-pytest,
 python3-pytest
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/python-sfml.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/python-sfml.git
Homepage: http://www.python-sfml.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-sfml
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Simple and Fast Multimedia Library - Python 2 Bindings
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains the Python 2 bindings for SFML.

Package: python-sfml-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-sfml (= ${binary:Version})
Description: Simple and Fast Multimedia Library - Python 2 Debug Bindings
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains the Python 2 bindings for SFML built against debug
 versions of Python.

Package: python3-sfml
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Simple and Fast Multimedia Library - Python 3 Bindings
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains the Python 3 bindings for SFML.

Package: python3-sfml-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 python3-sfml (= ${binary:Version})
Description: Simple and Fast Multimedia Library - Python 3 Debug Bindings
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains the Python 3 bindings for SFML built against debug
 versions of Python.

Package: python-sfml-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Simple and Fast Multimedia Library - Documentation
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains documentation and examples for the Python bindings.

## python-sfml 1.5.1.is.1.3+dfsg

=== debian/changelog ===
python-sfml (1.5.1.is.1.3+dfsg-1build2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:29:16 +0000

python-sfml (1.5.1.is.1.3+dfsg-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:32:44 +0000

python-sfml (1.5.1.is.1.3+dfsg-1) unstable; urgency=low

  * New upstream version 1.3 (from python-sfml.org)
    - This is a complete rewrite of the Python bindings for SFML2, and
      the new maintainer is using a different version numbering scheme.
  * Added myself to the list of uploaders
  * Change package priority from extra to optional
  * Bumped standards version (to 3.9.5) and debhelper compat (to 9)
  * Added Python 3 and documentation packages
  * Improve package description for debug packages

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 09 Dec 2013 17:50:52 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sfml
export PYBUILD_INSTALL_ARGS=--skip-build
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=$(CURDIR)/tests

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg
VER  ?= $(subst 1.5.is.,,$(subst $(DTYPE),,$(UVER)))

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc-arch:

override_dh_auto_build-indep:
	$(MAKE) -C doc html

override_dh_installchangelogs:
	dh_installchangelogs doc/source/changelog.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build

# http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	 && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	 || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	 && $(RM) -r -v \
		examples/embedding/image.jpg \
		examples/extending/image.jpg \
		examples/*/resources/ \
		examples/*/data/ \
		tests/runtests.py
	#$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	 | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	 && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
# See uscan(1) for format
version=3

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-sfml-$1.tar.gz/,dversionmangle=s/1\.5\.is\.([^+]*)\+dfsg$/$1/ \
  https://github.com/Sonkun/python-sfml/tags .*/v?(\d\S*)\.tar\.gz

## python-sfml 2.2~git20150611.196c88%2Bdfsg

=== debian/changelog ===
python-sfml (2.2~git20150611.196c88+dfsg-7build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:14:13 +0000

python-sfml (2.2~git20150611.196c88+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0.
  * Drop manual -dbg packages (Closes: #994369).
  * Bump debhelper compat to v13.
  * debian/control: Use dh-sequence-python3.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Oct 2021 11:26:41 -0400

python-sfml (2.2~git20150611.196c88+dfsg-6) unstable; urgency=medium

  * d/control:
    - Bump standards version to 4.4.1.
    - Mark python-sfml-doc as multi-arch foreign.
  * d/rules: Call dh_xx --remaining-packages when using -p.
    Thanks to Andreas Beckmann for finding this bug. (Closes: #946373)

 -- James Cowgill <jcowgill@debian.org>  Sun, 08 Dec 2019 21:47:59 +0000

python-sfml (2.2~git20150611.196c88+dfsg-5) unstable; urgency=medium

  [ James Cowgill ]
  * d/copyright:
    - Use secure Format URL.
    - Update copyright dates for Debian files.
  * d/control:
    - Apply wrap-and-sort -s.
    - Drop ancient X-Python-Version fields.
    - Update Vcs fields to point to salsa.d.o.
    - Use python3-sphinx to build docs.
    - Drop Python2 packages. (Closes: #938170)
    - Bump debhelper compat to 12.
    - Add suggests on python-sfml-doc to main packages.
    - Remove priority extra field from python-sfml-dbg
    - Enable automatic python autopkgtests.
    - Set rules-requires-root to no.
    - Bump standards version to 4.4.0.
  * d/rules: Move doc/build directory cleanup to d/clean.

  [ Christoph Egger ]
  * Remove myself from uploaders

 -- James Cowgill <jcowgill@debian.org>  Sat, 31 Aug 2019 17:15:03 +0100

python-sfml (2.2~git20150611.196c88+dfsg-4) unstable; urgency=medium

  [ Graham Inggs ]
  * debian/patches/06_fix-sphinx-rtype.patch:
    - Fix FTBFS with Sphinx 1.5. (Closes: #867491)

  [ James Cowgill ]
  * debian/control:
    - Bump standards to 4.0.0 (no changes required).

 -- James Cowgill <jcowgill@debian.org>  Fri, 07 Jul 2017 18:46:47 +0100

python-sfml (2.2~git20150611.196c88+dfsg-3) unstable; urgency=medium

  * debian/patches/05_doc-ftbfs.patch:
    - Add patch to fix documentation build failure.

  * debian/control:
    - Use my debian.org email address.
    - Bump standards to 3.9.8 (no changes).
    - Use secure Vcs URLs.
  * debian/rules, debian/watch:
    - Enable all hardening options except PIE.
    - Remove get-orig-source target and moved repack options to d/watch.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Jul 2016 15:30:28 +0200

python-sfml (2.2~git20150611.196c88+dfsg-2) unstable; urgency=medium

  * Add patch to fix FTBFS with Cython 0.23 (Closes: #799893).

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 24 Sep 2015 14:55:08 +0100

python-sfml (2.2~git20150611.196c88+dfsg-1) unstable; urgency=medium

  * New upstream development version.
    - No released version of python-sfml builds properly with SFML 2.3
      at the moment.
  * Use Files-Excluded instead of the get-orig-source target to exclude
    non-dfsg files. Re-add example resources which are dfsg but were
    excluded.

  * debian/clean:
    - Only clean _api.h files (not the new hacks.h file).
  * debian/control:
    - Bump required SFML version to 2.2.
  * debian/rules:
    - Don't try to run unittests - upstream removed them.
  * debian/watch:
    - Revert watch changes which were needed to handle the 1.5.1... version.

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 30 Jun 2015 15:17:28 +0100

python-sfml (1.5.1.is.1.3+dfsg-3) unstable; urgency=medium

  * Add 05_Fix-documentation-errors-causing-build-failures-with.patch to fix
    FTBFS with Sphinx 1.3 (Closes: #787855).

 -- James Cowgill <james410@cowgill.org.uk>  Sun, 07 Jun 2015 00:14:28 +0100

python-sfml (1.5.1.is.1.3+dfsg-2) unstable; urgency=medium

  * debian/README.Debian
    - Add with information about removed non-dfsg files (see #732139).
  * debian/control:
    - Bump standards version - no changes.
    - Use cgit Vcs-Browser URL.
  * debian/copyright:
    - Update debian/copyright and readd Christoph Egger's copyright.
  * debian/patches:
    - Add numbers to patch names.
    - Add patch to fix sf.Rectangle.intersects (LP: #1400906).
  * debian/rules:
    - Fix arch-independent build failure.
  * debian/watch:
    - Fix watch file to work with 1.5.1 version number.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 18 May 2015 14:31:19 +0100

=== debian/control ===
Source: python-sfml
Section: python
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libsfml-dev (>= 2.2),
 python3-all-dev,
 python3-sphinx
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/games-team/python-sfml.git
Vcs-Browser: https://salsa.debian.org/games-team/python-sfml
Homepage: http://www.python-sfml.org/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sfml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-sfml-doc
Provides: ${python3:Provides}
Description: Simple and Fast Multimedia Library - Python 3 Bindings
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains the Python 3 bindings for SFML.

Package: python-sfml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Simple and Fast Multimedia Library - Documentation
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains documentation and examples for the Python bindings.

## python-sfml 2.2~git20150611.196c88+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Uploaders: James Cowgill <jcowgill@debian.org>
 Build-Depends:
  cython3,
- debhelper-compat (= 13),
- dh-sequence-python3,
+ cython3-dbg,
+ debhelper-compat (= 12),
+ dh-python,
  libsfml-dev (>= 2.2),
+ python3-all-dbg,
  python3-all-dev,
  python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/games-team/python-sfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/python-sfml
 Homepage: http://www.python-sfml.org/
@@ -31,6 +33,24 @@
  .
  This package contains the Python 3 bindings for SFML.
 
+Package: python3-sfml-dbg
+Section: debug
+Architecture: any
+Depends:
+ python3-sfml (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends}
+Description: Simple and Fast Multimedia Library - Python 3 Debug Bindings
+ SFML is an modern multimedia library offering a wide range
+ of subsystems useful to produce an multimedia application.
+ It offers OpenGL integration for hardware accelerated Graphics,
+ Windowing and input support, audio and network facilities and
+ supports besides GNU/Linux MS Windows and Mac OS X, too.
+ .
+ This package contains the Python 3 bindings for SFML built against debug
+ versions of Python.
+
 Package: python-sfml-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie

export PYBUILD_NAME=sfml
export PYBUILD_INSTALL_ARGS=--skip-build

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc-arch:

override_dh_auto_build-indep:
	$(MAKE) -C doc html

override_dh_installdocs:
	dh_installdocs -ppython-sfml-doc --doc-main-package=python3-sfml
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs doc/source/changelog.rst

override_dh_installexamples:
	dh_installexamples -ppython-sfml-doc --doc-main-package=python3-sfml
	dh_installexamples --remaining-packages

override_dh_strip:
	dh_strip -ppython3-sfml --dbg-package=python3-sfml-dbg
	dh_strip --remaining-packages

## python-sfml 2.3.2.dev1+dfsg

=== debian/changelog ===
python-sfml (2.3.2.dev1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Drop removed non-free files from Files-Excluded
  * New upstream version 2.3.2.dev1+dfsg
  * d/copyright: Correct main license to Zlib
  * Drop package python-sfml-doc

 -- Bastian Germann <bage@debian.org>  Sun, 14 Apr 2024 21:17:34 +0000

python-sfml (2.2~git20150611.196c88+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/control: Build-depends on cython3-legacy. (Closes: #1056871)
  * debian/control: Bump Standards-Version to 4.6.2.

  [ Debian Janitor ]
  * debian/upstream/metadata: Add metadata fields.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Dec 2023 14:50:40 -0500

=== debian/control ===
Source: python-sfml
Section: python
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cython3-legacy,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libsfml-dev,
 python3-all-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/games-team/python-sfml.git
Vcs-Browser: https://salsa.debian.org/games-team/python-sfml
Homepage: http://www.python-sfml.org/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sfml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Simple and Fast Multimedia Library - Python 3 Bindings
 SFML is an modern multimedia library offering a wide range
 of subsystems useful to produce an multimedia application.
 It offers OpenGL integration for hardware accelerated Graphics,
 Windowing and input support, audio and network facilities and
 supports besides GNU/Linux MS Windows and Mac OS X, too.
 .
 This package contains the Python 3 bindings for SFML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie

export PYBUILD_NAME=sfml
export PYBUILD_INSTALL_ARGS=--skip-build

%:
	dh $@ --buildsystem=pybuild
